# Interface WebRepositoryIntegration

All Known Implementing Classes:
  `ChoraIntegration, CvswebIntegration, JCVSWebIntegration, TracIntegration, ViewCvsIntegration, ViewVcIntegration`

public interface WebRepositoryIntegration
Interface for integration of web repository browsers. Web repository browsers are dynamic web sites where you can browse the contents of a CVS repository, make diffs etc. A good example is ViewCVS.

Version:
  $Id: WebRepositoryIntegration.java,v 1.7 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseUrl()`
`String`
`getDiffUrl(Revision oldRevision, Revision newRevision)`
Returns a URL to a diff in the web repository browser.
`String`
`getDirectoryUrl(Directory directory)`
Returns a URL to a directory in the web repository browser
`String`
`getFileHistoryUrl(VersionedFile file)`
Returns a URL to a file in the web repository browser.
`String`
`getFileViewUrl(Revision revision)`
Returns a URL to a file in the web repository browser.
`String`
`getFileViewUrl(VersionedFile file)`
Returns a URL to a file in the web repository browser.
`String`
`getName()`
Returns the name of the repository browser
`void`
`setAtticFileNames(Set atticFileNames)`
Sets the files that are "in the attic", in the CVS sense.

## Method Details

### getName

String getName()
Returns the name of the repository browser

Returns:
  the name of the repository browser

### getDirectoryUrl

String getDirectoryUrl(Directory directory)
Returns a URL to a directory in the web repository browser

Parameters:
  `directory` - the directory
Returns:
  a URL to the directory in the web repository browser

### getFileHistoryUrl

String getFileHistoryUrl(VersionedFile file)
Returns a URL to a file in the web repository browser. The URL points to a history of all revisions of the file.

Parameters:
  `file` - the file
Returns:
  a URL to the file in the web repository browser

### getFileViewUrl

String getFileViewUrl(VersionedFile file)
Returns a URL to a file in the web repository browser. The URL points to a representation of the file's current contents.

Parameters:
  `file` - the file
Returns:
  a URL to the file in the web repository browser

### getFileViewUrl

String getFileViewUrl(Revision revision)
Returns a URL to a file in the web repository browser. The URL points to a representation of the specific revision given as a parameter.

Parameters:
  `revision` - the revision
Returns:
  a URL to the revision in the web repository browser

### getDiffUrl

String getDiffUrl(Revision oldRevision, Revision newRevision)
Returns a URL to a diff in the web repository browser. Both revisions must belong to the same `VersionedFile`.

Parameters:
  `oldRevision` - the old revision
  `newRevision` - the new revision
Returns:
  a URL to a diff

### setAtticFileNames

void setAtticFileNames(Set atticFileNames)
Sets the files that are "in the attic", in the CVS sense. See CVS manual.

Parameters:
  `atticFileNames` - names of all files (`String`) in the attic

### getBaseUrl

String getBaseUrl()

Returns:
  the base Url